from sqlalchemy import Column, Integer, String, DateTime, func, ForeignKey
from app import db
from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy.orm import relationship

Base: declarative_base = db.Model
class Room(Base):
    __tablename__ = "rooms"
    id = Column(Integer, primary_key=True)
    room_name = Column(String, nullable=True)
    zone_id = Column(Integer, ForeignKey('zone.zone_id'))
    zone = relationship("Zone", back_populates="rooms")
    site_id = Column(Integer, nullable=False)
    x_min = Column(String, nullable=False)
    y_min = Column(String, nullable=False)
    x_max = Column(String, nullable=False)
    y_max = Column(String, nullable=False)
    created_at = Column(DateTime(timezone=True), default=func.now())
    updated_at = Column(DateTime(timezone=True), default=func.now())

    alert_log = relationship("Alert_logs", back_populates="room")